<div id="games-container">

  <h1>
    {{title}}
  </h1>

  <div id="games-table">

    <div id="games-simple-pov" class="games-pov-col">
      <h2>Jeux point de vue simple</h2>
      <ul id="games-simple-pov-list" class="games-pov-col-list">
        <ng-container *ngFor="let game of simpleGames">
          <mat-card class="games-info-card">
              <div class="card-title">

                  <h3 class="games-info-card-name">{{game.name}}</h3>
              </div>
            <img class="games-info-card-img" src="{{game.originalImage}}">

            <div class="games-info-card-game-type-container">
                <div class="games-info-card-game-type-col">
                    <div class="games-info-card-game-type-col-mode">
                      <i class="material-icons">person</i>
                      <h3>Solo</h3>
                    </div>

                <li class = "games-info-card-game-type-col-play">
                    <div *ngFor = "let record of game.soloTime" class = "games-info-card-game-type-col-play-record">
                        <div class = "games-info-card-game-type-col-play-record-user">{{record.holder}}</div>
                        <div class = "games-info-card-game-type-col-play-record-medal"></div>
                        <div class = "games-info-card-game-type-col-play-record-time">{{record.time}}</div>
                    </div>
                      <button class="buttonStyles"  (click)="deleteSimpleGame(game.gameId)">Supprimer</button>

                </li>

              </div>
              <div class="games-info-card-game-type-col">
                  <div class="games-info-card-game-type-col-mode">
                    <i class="material-icons">people</i>
                    <h3>Versus</h3>
                  </div>
                  <li class = "games-info-card-game-type-col-play">

                      <div *ngFor = "let record of game.vsTime" class = "games-info-card-game-type-col-play-record">
                          <div class = "games-info-card-game-type-col-play-record-user">{{record.holder}}</div>
                          <div class = "games-info-card-game-type-col-play-record-medal"></div>
                          <div class = "games-info-card-game-type-col-play-record-time">{{record.time}}</div>
                      </div>
                      <button class="buttonStyles" (click)="resetSimpleGame(game.gameId)">Réeinitialiser</button>
                  </li>

              </div>
            </div>
          </mat-card>
        </ng-container>
      </ul>
    </div>

    <div id="games-free-pov" class="games-pov-col">
      <h2>Jeux point de vue libre</h2>
      <ul id="games-free-pov-list" class="games-pov-col-list">
        <ng-container *ngFor="let freeGame of freeGames">
          <mat-card class="games-info-card">
            <div class="card-title">
              <h3 class="games-info-card-name">{{freeGame.name}}</h3>
          </div>
            <img class="games-info-card-img" src="{{freeGame.thumbnail}}">

            <div class="games-info-card-game-type-container">
                <div class="games-info-card-game-type-col">
                    <div class="games-info-card-game-type-col-mode">
                      <i class="material-icons">person</i>
                      <h3>Solo</h3>
                    </div>
                  <li class = "games-info-card-game-type-col-play">

                      <div *ngFor = "let record of freeGame.soloTime" class = "games-info-card-game-type-col-play-record">
                          <div class = "games-info-card-game-type-col-play-record-user">{{record.holder}}</div>
                          <div class = "games-info-card-game-type-col-play-record-medal"></div>
                          <div class = "games-info-card-game-type-col-play-record-time">{{record.time}}</div>
                      </div>
                      <button class="buttonStyles" (click)="deleteFreeGame(freeGame.gameId)">Supprimer</button>
                  </li>

              </div>
              <div class="games-info-card-game-type-col">
                  <div class="games-info-card-game-type-col-mode">
                    <i class="material-icons">people</i>
                    <h3>Versus</h3>
                  </div>
                  <li class = "games-info-card-game-type-col-play">

                      <div *ngFor = "let record of freeGame.vsTime" class = "games-info-card-game-type-col-play-record">
                          <div class = "games-info-card-game-type-col-play-record-user">{{record.holder}}</div>
                          <div class = "games-info-card-game-type-col-play-record-medal"></div>
                          <div class = "games-info-card-game-type-col-play-record-time">{{record.time}}</div>
                      </div>
                      <button class="buttonStyles" (click)="resetFreeGame(freeGame.gameId)">Reeinitialiser</button>
                  </li>

              </div>
            </div>
          </mat-card>
        </ng-container>
      </ul>
    </div>

  </div>
</div>
